Bug 1404770 - ID Views: do not allow custom Views for the masters
Summary: ID Views: do not allow custom Views for the masters
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: IPA Maintainers
QA Contact: Kaleem
URL:
Whiteboard:
Depends On:
Blocks: 1405014
TreeView+ depends on / blocked
 
Reported: 2016-12-14 15:31 UTC by Thorsten Scherf
Modified: 2020-04-17 10:58 UTC (History)
10 users (show)

Fixed In Version: ipa-4.6.6-12.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1405014 (view as bug list)
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)

Description Thorsten Scherf 2016-12-14 15:31:21 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/freeipa/ticket/5662

The FreeIPA server itself only supports the default ID View, it does not work with customized views for host groups.

The Web UI/CLI should be extended with a validation, to forbid adding FreeIPA servers to the unsupported views. The validator would avoid user confusion when the custom ID View is not working.

Comment 1 Martin Kosek 2016-12-15 11:19:41 UTC
Could we solve this also by admonition to
https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/Linux_Domain_Identity_Authentication_and_Policy_Guide/id-views-different.html
and mentioned that ID View cannot be applied to IPA servers? I am not sure it is mentioned somewhere.

Comment 2 Aneta Šteflová Petrová 2016-12-15 11:54:07 UTC
(In reply to Martin Kosek from comment #1)
> Could we solve this also by admonition to
> https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/
> html/Linux_Domain_Identity_Authentication_and_Policy_Guide/id-views-
> different.html
> and mentioned that ID View cannot be applied to IPA servers? I am not sure
> it is mentioned somewhere.

Sure, I cloned this BZ to create doc BZ#1405014.

Comment 8 Florence Blanc-Renaud 2020-03-19 11:49:34 UTC
Test case provided in ipatests/test_integration/test_idviews.py, hence adding TestCaseProvided keyword.

Comment 12 Sergey Orlov 2020-04-17 10:58:51 UTC
Fix verified on RHEL7.9 with compose RHEL-7.9-20200407.0

ipa-server-4.6.8-1.el7.x86_64

Using upstream automated test:
test_xmlrpc/test_idviews_plugin.py::test_idviews::test_command[0042: idview_apply: Apply idview1 to master.testrelm.test] PASSED [ 49%]
test_xmlrpc/test_idviews_plugin.py::test_idviews::test_command[0043: idview_apply: Apply idview1 to ipaservers] PASSED [ 49%]


Note You need to log in before you can comment on or make changes to this bug.